aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-04-30 14:50:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-04-30 14:54:50 +0000
commit52d7d033d4ca0eb2f5d119a6ce2f9d95d0e28fd1 (patch)
tree4d30cf9b5c4ab48fde927842c8f24e39f34bd45a
parenteb08104c01146868e6237bb1762265d59412a267 (diff)
downloadaports-52d7d033d4ca0eb2f5d119a6ce2f9d95d0e28fd1.tar.gz
aports-52d7d033d4ca0eb2f5d119a6ce2f9d95d0e28fd1.tar.bz2
aports-52d7d033d4ca0eb2f5d119a6ce2f9d95d0e28fd1.tar.xz
main/nfs-utils: upgrade to 1.2.8 and switch to MIT krb
fixes #1609
-rw-r--r--main/nfs-utils/APKBUILD43
-rw-r--r--main/nfs-utils/osd_login.patch11
-rw-r--r--main/nfs-utils/rpc.gssd.initd24
3 files changed, 47 insertions, 31 deletions
diff --git a/main/nfs-utils/APKBUILD b/main/nfs-utils/APKBUILD
index d96ba22597..2d304c41cc 100644
--- a/main/nfs-utils/APKBUILD
+++ b/main/nfs-utils/APKBUILD
@@ -1,21 +1,22 @@
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=nfs-utils
-pkgver=1.2.6
-pkgrel=3
+pkgver=1.2.8
+pkgrel=0
pkgdesc="kernel-mode NFS"
url="http://nfs.sourceforge.net/"
arch="all"
license="GPL"
depends="rpcbind"
makedepends="util-linux-dev libtirpc-dev libcap-dev libevent-dev
- libnfsidmap-dev keyutils-dev lvm2-dev"
+ libnfsidmap-dev keyutils-dev lvm2-dev krb5-dev sqlite-dev"
subpackages="$pkgname-doc"
[ "$ALPINE_LIBC" != "eglibc" ] && subpackages="$subpackages rpcgen"
source="http://downloads.sourceforge.net/nfs/$pkgname-$pkgver.tar.bz2
nfs.initd
nfsmount.initd
+ rpc.gssd.initd
rpc.idmapd.initd
rpc.pipefs.initd
rpc.statd.initd
@@ -24,14 +25,15 @@ source="http://downloads.sourceforge.net/nfs/$pkgname-$pkgver.tar.bz2
nfs.confd
nfs.exports
nfs-utils-mtab-sym.patch
- uclibc-getaddrinfo-canonname.patch
- osd_login.patch"
+ uclibc-getaddrinfo-canonname.patch"
prepare() {
cd "$srcdir/$pkgname-$pkgver"
- for i in "$srcdir"/*.patch; do
- msg "Applying $i"
- patch -p0 -i "${i}" || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg "Applying $i"
+ patch -p0 -i "$srcdir"/$i || return 1;;
+ esac
done
# fix build on eglibc
if [ "$ALPINE_LIBC" != "eglibc" ]; then
@@ -54,10 +56,11 @@ build() {
--mandir=/usr/share/man \
--infodir=/usr/share/info \
--without-tcp-wrappers \
+ --enable-ipv6 \
--enable-nfsv4 \
--enable-uuid \
- --disable-gss \
- --enable-mount \
+ --enable-gss \
+ --enable-libmount-mount \
--with-statedir=/var/lib/nfs
make || return 1
@@ -67,7 +70,7 @@ package() {
cd "$srcdir/$pkgname-$pkgver"
make -j1 DESTDIR="$pkgdir" install
- for i in nfs rpc.pipefs rpc.svcgssd nfsmount rpc.idmapd \
+ for i in nfs rpc.pipefs rpc.svcgssd nfsmount rpc.idmapd rpc.gssd \
rpc.statd; do
install -m755 -D "$srcdir"/$i.initd "$pkgdir"/etc/init.d/$i \
|| return 1
@@ -84,9 +87,10 @@ rpcgen() {
install -m755 -D tools/rpcgen/rpcgen "$subpkgdir"/usr/bin/rpcgen
}
-md5sums="8be543ca270c2234ff18f8c8d35e0d37 nfs-utils-1.2.6.tar.bz2
+md5sums="fb48630b7c145fb9d6602a79c6eaab11 nfs-utils-1.2.8.tar.bz2
9e402e75f23b886fce2f53bec2c1d415 nfs.initd
d514fb87ce5de9909f43d99012352f09 nfsmount.initd
+144b0e1f7d32265abe4c499a47af6154 rpc.gssd.initd
650f68e51a02ba84c272960fc302c445 rpc.idmapd.initd
80772890099fafdb8af3d6dd3db242c2 rpc.pipefs.initd
37fdb069a5fcabea507012497bb95c53 rpc.statd.initd
@@ -94,11 +98,11 @@ d514fb87ce5de9909f43d99012352f09 nfsmount.initd
09135438d6df50b868bbe5a2260f973c nfs.confd
4f1bb7b2412ce5952ecb5ec22d8ed99d nfs.exports
a3a7338f8de3ac37c1ffc05bdcb77d16 nfs-utils-mtab-sym.patch
-37a82a3a81410b483790ca30d564f4ba uclibc-getaddrinfo-canonname.patch
-3a1e3ff3de39a211f6d4d3ecb16b37aa osd_login.patch"
-sha256sums="70267288500408495085b7c54a667c4e8cfde5882f3193da095fc7dad2da0b83 nfs-utils-1.2.6.tar.bz2
+37a82a3a81410b483790ca30d564f4ba uclibc-getaddrinfo-canonname.patch"
+sha256sums="62ec061e32283699646515f6383cb54d0d88fb223343cec940a2701560b8b404 nfs-utils-1.2.8.tar.bz2
81b546cb98be4678cd22f4da39927d2c79532717d927bfba055af447dbff26a5 nfs.initd
f2f5b54fef59f24a1fc6a8b814dfe2cfdeeb02fd0d5041cff31650e626fe4b75 nfsmount.initd
+00d9c29280a83e8458c33139d04a9b38c6fdba9d7cb9b420ca83bf6b10e6435d rpc.gssd.initd
3ce65326859c43983dad25ad2d4731488c488037796e39b6b5eda336e8bf81ef rpc.idmapd.initd
d651ad9099ea443282476fcedf52c00f0a274eb6a9e4b58a5838780369206973 rpc.pipefs.initd
a727948ccf665b6bb1977ac3014b7086ff654173d1a2be1e2b38a43e97f84ca8 rpc.statd.initd
@@ -106,11 +110,11 @@ f1c460d8b0e91e54a551397d755135d05a3728d81de596535bf8bda074455677 rpc.svcgssd.in
9ca3b7dfbac5bedd818a3637805380f4e873ef8e809c21c26f410c86ac16e03e nfs.confd
f2aaf1c92e07172adeb65f7f2bc0140c533ae453a3477e99be677ef2e05f2d4b nfs.exports
fb5d228d2e9362fcc9a4702499334ba4a9109ee814c93f2e56e19903f12ba6eb nfs-utils-mtab-sym.patch
-7c7451365001f1672abd6fd6dd53da03617a9baa4758ec515b3adf8b7bb7ad93 uclibc-getaddrinfo-canonname.patch
-1502d852f1feb18f40db50e2c5501d1f71e9a8f2554a1785593177d191efc39a osd_login.patch"
-sha512sums="634f6d71d081fd9a06e28f25d9270d04d92cacc7bd1f99507ed610bd703d4df9e9ce4fab0de1463dd25ac64a99ae5a54f65340edb12ac007583b83a872dcbc25 nfs-utils-1.2.6.tar.bz2
+7c7451365001f1672abd6fd6dd53da03617a9baa4758ec515b3adf8b7bb7ad93 uclibc-getaddrinfo-canonname.patch"
+sha512sums="1b7269bca52b7c751976934a82bb5f2c3e171761c5009be803dc03d604f5f028fa3e17545a42bd0a1660546a6ff0b7287d9f7f6f2d262943d526d068c9c07bad nfs-utils-1.2.8.tar.bz2
98eeae4b30fe13d6fdeb62d47e05fd5bc577946d84a3fe84703dcc90c58768f0d1886a0aa9262ead3aac5c4bd6d7b1cc2b703fb9603baffad4ac2ead635294f3 nfs.initd
8e720417d7443c6bd4e3bda9e7bf4a61b073009fc1750ec0c7378fb01d726ee827a759c6bc10629606b4f2dbd7884807a9e0b8377382e4968f06ef8e938537ae nfsmount.initd
+cd4f763c7cced0eecb03e2d4c8fb1d5fbbddd119a014dee4e9cb881d3750fb01a50daa4475700914785cb1313ceef638b7de4d8dddac90cbab63888cc81938f6 rpc.gssd.initd
624ac8c5a381a0ccc1bb7dfd06c080a9de85a9e94e1d4071a6ef401e1b20f0d05d767be5e85eea374c3a4c29218b3db6013383afa0bdd1a7f61b77260675bfdb rpc.idmapd.initd
46a423a58ba67b02f0075e2e06d4fe9aee9b05662f6f7e4ddfd5ac5763eb562a3402ab8427f351bfb3ac0c2feeefc5475ecf4e41be5f690f10c63b2ee3146398 rpc.pipefs.initd
cf0272e42310b1ff8d40ff37dc839df2dd4fba4cb408f8fa67ce445e2975b37cafbb35e6d41af2bb462fd05bdd444ba297a156daadcf50e1d73b322d6abeea17 rpc.statd.initd
@@ -118,5 +122,4 @@ cf0272e42310b1ff8d40ff37dc839df2dd4fba4cb408f8fa67ce445e2975b37cafbb35e6d41af2bb
1711803f848f73fef9fa74bd572fa7643c586f06eeedf62ed91bd2aa06ad59c7b1f1c585b6f7b7a8ce67ff7fd6b601d88dc99ca1000dd1d3f5991f420da9761b nfs.confd
70f96bb3a465ee0fa857a6e511051ca3ced9f5a5d1e6b8b32eec843a2067f2475d8979c724a3661de0a2b078eef143f55d75ed184d823841d9de5038da91fb91 nfs.exports
4549895ffe6fc91e500ead31b8e0bc552f00af285b949b0d0fd72cfa512e156578b924c1631d8e670e803999563c17bc33ca0c09800b80c28870eed08376e7f0 nfs-utils-mtab-sym.patch
-b9f0820773d3ab82cfa9ba603c83f98a71ad2e7205418c1223344b5b3e1bdfbb6aa183ab830df25ded660a4950d0e54098485fa08a4f6b6363a62c0f6c713489 uclibc-getaddrinfo-canonname.patch
-ebf042f1a726420d324485dc866b280c947cd54405aeea55c7179c05b534e8046354e405b1cdb1a01ad96082b19d54aec0d0bbaff53b44b371820362b4bdf7a7 osd_login.patch"
+b9f0820773d3ab82cfa9ba603c83f98a71ad2e7205418c1223344b5b3e1bdfbb6aa183ab830df25ded660a4950d0e54098485fa08a4f6b6363a62c0f6c713489 uclibc-getaddrinfo-canonname.patch"
diff --git a/main/nfs-utils/osd_login.patch b/main/nfs-utils/osd_login.patch
deleted file mode 100644
index 95aade8c93..0000000000
--- a/main/nfs-utils/osd_login.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./utils/osd_login/Makefile.in.orig
-+++ ./utils/osd_login/Makefile.in
-@@ -426,7 +426,7 @@
- all-local: $(OSD_LOGIN_FILES)
-
- install-data-hook:
-- $(INSTALL) --mode 755 osd_login $(DESTDIR)/sbin/osd_login
-+ $(INSTALL) -D -m 755 osd_login $(DESTDIR)/sbin/osd_login
-
- # Tell versions [3.59,3.63) of GNU make to not export all variables.
- # Otherwise a system limit (for SysV at least) may be exceeded.
diff --git a/main/nfs-utils/rpc.gssd.initd b/main/nfs-utils/rpc.gssd.initd
new file mode 100644
index 0000000000..f1b8f87745
--- /dev/null
+++ b/main/nfs-utils/rpc.gssd.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.gssd.initd,v 1.11 2008/10/26 09:02:47 vapier Exp $
+
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
+
+depend() {
+ use ypbind net
+ need portmap rpc.pipefs
+ after quota
+}
+
+start() {
+ ebegin "Starting gssd"
+ start-stop-daemon --start --exec /usr/sbin/rpc.gssd -- ${OPTS_RPC_GSSD}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping gssd"
+ start-stop-daemon --stop --exec /usr/sbin/rpc.gssd
+ eend $?
+}